MariaDB 10.1.x < 10.1.19 Multiple Vulnerabilities

Medium Nessus Plugin ID 95541

Synopsis

The remote database server is affected by multiple vulnerabilities.

Description

The version of MariaDB running on the remote host is 10.1.x prior to 10.1.19. It is, therefore, affected by multiple vulnerabilities :

- An unspecified flaw exists in the Security: Encryption subcomponent that allows an authenticated, remote attacker to disclose sensitive information.
(CVE-2016-5584)

- A flaw exists in wolfSSL, specifically within the C software version of AES Encryption and Decryption, due to table lookups not properly considering cache-bank access times. A local attacker can exploit this, via a specially crafted application, to disclose AES keys.
Note that this vulnerability does not affect MariaDB packages included in Red Hat products since they're built against system OpenSSL packages. (CVE-2016-7440)

- A flaw exists in the fill_alter_inplace_info() function in sql_table.cc that is triggered when altering persistent virtual columns. An authenticated, remote attacker can exploit this to crash the database, resulting in a denial of service condition.

- A flaw exists in the mysql_rm_table_no_locks() function in sql_table.cc that is triggered during the handling of CREATE OR REPLACE TABLE queries. An authenticated, remote attacker can exploit this to crash the database, resulting in a denial of service condition.

- A flaw exists in the buf_page_is_checksum_valid* functions in buf0buf.cc that is triggered during the handling of encrypted information. An authenticated, remote attacker can exploit this to crash the database, resulting in a denial of service condition.

- A flaw exists in the wsrep_replicate_myisam functionality that is triggered when dropping MyISAM tables. An authenticated, remote attacker can exploit this to crash the database, resulting in a denial of service condition.

Solution

Upgrade to MariaDB version 10.1.19 or later.

See Also

https://mariadb.com/kb/en/library/mariadb-10119-changelog/

https://mariadb.com/kb/en/library/mariadb-10119-release-notes/

Plugin Details

Severity: Medium

ID: 95541

File Name: mariadb_10_1_19.nasl

Version: 1.6

Type: remote

Family: Databases

Published: 2016/12/05

Updated: 2019/01/02

Dependencies: 10719, 91823

Configuration: Enable paranoid mode

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:mariadb:mariadb

Required KB Items: Settings/ParanoidReport

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/11/07

Vulnerability Publication Date: 2016/09/17

Reference Information

CVE: CVE-2016-5584, CVE-2016-7440

BID: 93735, 93659